package com.brilliance.isc.model.lgb;

import java.util.Date;

public class LgoVo {

    //原lgo表内容
    private String inr;

    private String objtyp; //bus

    private String objinr; //busno

    private String extid;

    private String cur; //cur

    private String amt; //balance

    private Date matdat;

    private String xrfcur; //limitcur

    private String xrfamt; //limitamt

    private String ownref; //reference

    private String bchkeyinr;

    private String ver;

    private String ptyinr;

    //查询中通过运算得出的结果 原lgo表没有字段
    private String rate; 

    /**
     *  A - Accepted
     *  R - Rejected
     *  N - Pending
     *    - Open
     *  W - Warning
     */
    private String status;



    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getObjtyp() {
        return objtyp;
    }

    public void setObjtyp(String objtyp) {
        this.objtyp = objtyp;
    }

    public String getObjinr() {
        return objinr;
    }

    public void setObjinr(String objinr) {
        this.objinr = objinr;
    }

    public String getExtid() {
        return extid;
    }

    public void setExtid(String extid) {
        this.extid = extid;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public Date getMatdat() {
        return matdat;
    }

    public void setMatdat(Date matdat) {
        this.matdat = matdat;
    }

    public String getXrfcur() {
        return xrfcur;
    }

    public void setXrfcur(String xrfcur) {
        this.xrfcur = xrfcur;
    }

    public String getXrfamt() {
        return xrfamt;
    }

    public void setXrfamt(String xrfamt) {
        this.xrfamt = xrfamt;
    }

    public String getOwnref() {
        return ownref;
    }

    public void setOwnref(String ownref) {
        this.ownref = ownref;
    }

    public String getBchkeyinr() {
        return bchkeyinr;
    }

    public void setBchkeyinr(String bchkeyinr) {
        this.bchkeyinr = bchkeyinr;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getPtyinr() {
        return ptyinr;
    }

    public void setPtyinr(String ptyinr) {
        this.ptyinr = ptyinr;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
